Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus debug dump-memory`

Export a virtual machine’s memory state

## Synopsis

Description:
Export the current memory state of a running virtual machine into a dump file.
This can be useful for debugging or analysis purposes.

    incus debug dump-memory [<remote>:]<instance> [target] [--format] [flags]

## Examples

      incus debug dump-memory vm1 memory-dump.elf --format=elf
          Creates an ELF format memory dump of the vm1 instance.

## Options

          --format string   Format of memory dump (e.g. elf, win-dmp, kdump-zlib, kdump-raw-zlib, ...) (default "elf")

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus debug - Debug commands